Create an Open Loop Payout

It allows you to create a Open Loop Payout.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
How to test Payouts with user interaction?
  1. Create a session by sending a request: Below are the required parameters, and on the right, you can dynamically see how the request looks. Additionally, you need to enter the authentication token. Make sure the country matches the selected currency. After that, you can proceed to click on Try It!
📘

Remember

When performing tests with user interaction, it is not necessary to include the personal and banking details, such as customerDocumentId, customerDocumentType, bank, accountType, accountNumber or accountCci.

Note: If you need to validate the information of the player before making a withdrawal, please send this parameter in the request: makeAutomaticPayment: false.

  1. Receiving the callback: As a response, if the request was successful, you will receive a response like the following:
{ 
"url": "https://transfer.staging.cleo.cl/v1/open-loop-payout/8d46f3f6-6012-4d3d-93a1-1c99bsdedddd6c",
"sessionId": "8d46f3f6-6012-4d3d-9331-149c99bddd6asedfc"
}
  1. Entering the test session: Copy the received URL and paste it into your browser. You’ll be redirected to the user’s flow. Please, make a payout as instructed below.

    3.1. Step 1

    3.1.1. Select any of these 3 banks: Banco Estado / Banco de Chile / Banco BCI

    3.1.2. Use this rut: 11111111-1

    3.1.3. Use this password: 1234

    3.1.4. Click on “Continuar

    3.2. Step 2: A window will appear indicating that we are processing your payment.
    Please wait a moment.

    3.3. Step 3

    3.3.1. Select one of the accounts that already validated.

    3.3.2. Click “Realizar retiro

  2. Validate/confirm the payout: To validate/confirm the payout, use the route: /api/v3/open-loop-payout/{session_id}/confirm-payout

Note: this step only applies for merchants who need to validate the information of the player before processing the payout, which means they have sent the parameter makeAutomaticPayment: false in the request.

a). In case you consider that the payout should be paid, confirm the payout by
sending us this request:

  {
  "isConfirm": true
  }

b). In case you consider that the payout should not be paid, then reject the payout
by sending us this request:

  {
  "isConfirm": false
  }
How to test Payouts without user interaction?
  1. Create a session by sending a request: Below are the required parameters, and on the right, you can dynamically see how the request looks. Additionally, you need to enter the authentication token. Make sure the country matches the selected currency. After that, you can proceed to click on Try It!
📘

Remember

When performing tests without user interaction, it is necessary to include the personal and banking details.

  • For Chile, this means: customerDocumentId, customerDocumentType, bank, accountType, and accountNumber.

  • For Peru, the required fields are: customerDocumentId, customerDocumentType and accountCci.

To test in Chile, you should use the following data:

  • customerDocumentId: 111111111
  • customerDocumentType: rut
  • bank: bice
  • accountType: corriente
  • accountNumber: 123213123123

To test in Peru, you should use the following data:

  • customerDocumentId: 11111111
  • customerDocumentType: dni
  • accountCci: 11111111111111111111

Note: If you need to validate the information of the player before making a withdrawal, please send this parameter in the request: makeAutomaticPayment: false.

  1. Receiving the callback: As a response, if the request was successful, you will receive a response like the following:
{
"sessionId": "768927d8-c221-4559-9866-5c9b2d4a35asefft8f",
"status": "PENDING"
}

Note: Since this is an automated flow without user interaction, the payout will be processed and automatically sent to the account specified in the request within 5 minutes. However, if the makeAutomaticPayment value is set to false, the merchant will need to manually confirm the payout before Cleo processes it.

  1. Validate/confirm the payout: To validate/confirm the payout, use the route:
    /api/v3/open-loop-payout/{session_id}/confirm-payout

Note: this step only applies for merchants who need to validate the information of the player before processing the payout, which means they have sent the parameter makeAutomaticPayment: false in the request.

a). In case you consider that the payout should be paid, confirm the payout by
sending us this request:

  {
  "isConfirm": true
  }

b). In case you consider that the payout should not be paid, then reject the payout
by sending us this request:

  {
  "isConfirm": false
  }
Body Params
string
enum
required

Country for payout payment.

Allowed:
string
enum
required

Currency, depends on selected country

Allowed:
number
required

Payout amount, minimum amount depends on selected country

string
required

Customer email to be displayed on payout payment

string
required

URL where a callback will be sent if payout is successful

boolean
required

Make payment automatically or wait for payment confirmation

string

URL where customer will be redirected if open loop payout is not successful

string

URL where customer will be redirected if open loop payout is successful

string

External key provided by the merchant, can be used to identify the payout session

string
required

Customer external key

string

Customer document id, depends on selected country

string
enum

Customer document type. CL: RUT, PE: DNI

Allowed:
string

Customer bank for payout payment. Used only for Chile.

    <details><summary>CL</summary>santander, bice, scotiabank, estado, bci, falabella, bancodechile, ripley, security, itau</details>
string

Customer account type for payout payment. Used only for Chile.

    <details><summary>CL</summary>corriente, vista, ahorro, clabe</details>
string

Customer account number for payout payment. Used only for Chile.

string

Customer account CCI for payout payment. Used only for Peru.

string

Comment for payout payment

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json